Subject: Re: [BUG] Performance regression due to #33d4221: write_sha1_file: freshen existing objects

From: Jeff King <[email-masked]>
Date: Mon, 20 Apr 2015 16:09:56 -0400

On Mon, Apr 20, 2015 at 01:04:11PM -0700, Junio C Hamano wrote:

> Jeff King <[email-masked]> writes:
> 
> > ... But I don't know
> > if this counts as critical (it is for you, certainly, but I don't think
> > that many people are affected, as the crucial factor here is really the
> > slow NFS filesystem operations).
> 
> If it is critical to some people, they can downmerge to their custom
> old installations of Git they maintain with ease, of course, and
> that "with ease" part is the reason why I try to apply fixes to tip
> of the original topic branch even though they were merged to the
> mainline eons ago ;-).

I think it is a bigger deal for folks who do not ship a custom
installation, but expect to ship a third-party system that interacts
with whatever version of git their customers happen to have (in which
case they can only recommend their customers to upgrade).

I don't know how Stash or GitLab installations work. GitHub ships our
own custom git (which I maintain), though we are already on 2.3.x.

Either way, though, I do not think it is the upstream Git project's
problem.

-Peff